Status: Closed Start date: 22 May 2017

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 0.00 hour

Target version: CoCoA-5.2.2 Spent time: 0.75 hour

Description

The CoCoAManual entry for radical looks to be out of date.

It does not mention radical(RINGELEM) and also states that radical does not work over small finite char.

History

#1 - 22 May 2017 22:44 - John Abbott

The following output is surprising (though correct)

use ZZ/(3)[x,y];

radical(ideal(x^3+y^3));

---> ideal(x +y,  x +y)

#2 - 11 Dec 2017 19:19 - Anna Maria Bigatti

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 90

added example for radical(poly).

I'm not confident it always works for ideals in small characteristic.

I hope the situation will be clearer with Alice Moallemy's conversion to C++.

#3 - 15 Dec 2017 15:41 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
